Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosTrading Namespace Reference

## Compounds
interface | Admin
interface | OfferIdIterator
interface | OfferIterator
exception | NotProxyOfferId
exception | IllegalRecipe
exception | LimitingFollowTooPermissive
exception | DefaultFollowTooPermissive
exception | DuplicateLinkName
exception | DuplicatePolicyName
exception | DuplicatePropertyName
exception | IllegalConstraint
exception | IllegalLinkName
exception | IllegalOfferId
interface | Link
struct | LinkInfo
interface | Proxy
struct | ProxyInfo
exception | IllegalTraderName
exception | NoMatchingOffers
exception | ReadonlyProperty
exception | MandatoryProperty
exception | ProxyOfferId
exception | InterfaceTypeMismatch
exception | InvalidObjectRef
exception | InvalidPolicyValue
exception | IllegalPolicyName
exception | IllegalPreference
exception | IllegalPropertyName
exception | IllegalServiceType
interface | ImportAttributes
exception | InvalidLookupRef
interface | LinkAttributes
interface | Lookup
exception | MissingMandatoryProperty
exception | NotImplemented
struct | Offer
struct | OfferInfo
struct | Policy
exception | PolicyTypeMismatch
struct | Property
exception | PropertyTypeMismatch
exception | ReadonlyDynamicProperty
union | SpecifiedProps
interface | Register
exception | RegisterNotSupported
interface | SupportAttributes
interface | TraderComponents
exception | UnknownLinkName
exception | UnknownMaxLeft
exception | UnknownOfferId
exception | UnknownPropertyName
exception | UnknownServiceType
exception | UnknownTraderName
## Typedefs
typedef string | Istring
typedef Object | TypeRepository
typedef Istring | PropertyName
typedef sequence< PropertyName > | PropertyNameSeq
typedef any | PropertyValue
typedef sequence< Property > | PropertySeq
typedef sequence< Offer > | OfferSeq
typedef string | OfferId
typedef sequence< OfferId > | OfferIdSeq
typedef Istring | ServiceTypeName
typedef Istring | Constraint
typedef Istring | LinkName
typedef sequence< LinkName > | LinkNameSeq
typedef LinkNameSeq | TraderName
typedef string | PolicyName
typedef sequence< PolicyName > | PolicyNameSeq
typedef any | PolicyValue
typedef sequence< Policy > | PolicySeq
## Enumerations
enum | FollowOption { local_only, if_no_local, always }

## Typedef Documentation

typedef Istring CosTrading::Constraint

typedef string CosTrading::Istring

typedef Istring CosTrading::LinkName

typedef sequence<LinkName> CosTrading::LinkNameSeq

typedef string CosTrading::OfferId

typedef sequence<OfferId> CosTrading::OfferIdSeq

typedef sequence<Offer> CosTrading::OfferSeq

typedef string CosTrading::PolicyName

typedef sequence<PolicyName> CosTrading::PolicyNameSeq

typedef sequence<Policy> CosTrading::PolicySeq

typedef any CosTrading::PolicyValue

typedef Istring CosTrading::PropertyName

typedef sequence<PropertyName> CosTrading::PropertyNameSeq

typedef sequence<Property> CosTrading::PropertySeq

typedef any CosTrading::PropertyValue

typedef Istring CosTrading::ServiceTypeName

typedef LinkNameSeq CosTrading::TraderName

typedef Object CosTrading::TypeRepository

## Enumeration Type Documentation

enum CosTrading::FollowOption

  | Enumeration values:
  local_only |
  if_no_local |
  always |